export interface PerfTestOutput {
    numTicks: number;
    names: string[];
    levels: number[][];
}
export interface FunctionsMap {
    [key: string]: FunctionData;
}
export interface FunctionsLevel {
    [key: string]: FunctionInstance;
}
export interface FunctionData {
    name: string;
    displayName: string;
    index: number;
    instances: FunctionInstance[];
    filtered?: boolean;
}
export interface FunctionInstance {
    level: number;
    name: string;
    ticks: number;
    ticksNormalized: number;
}
export interface FunctionRegression {
    name: string;
    displayName: string;
}
export interface ProcessedData {
    functions: FunctionData[];
    functionsMap: FunctionsMap;
    numLevels: number;
    numTicks: number;
}
export interface RegressionAnalysis {
    summary: string;
    isRegression: boolean;
}
/**
 * Analyzes processed perf.
 *
 * @param {string} datafileBefore Perf data input.
 */
export declare function checkForRegressions(datafileBefore: string, datafileAfter: string): RegressionAnalysis;
//# sourceMappingURL=processData.d.ts.map