export interface GeneratedFiles {
    dataFile?: string;
    errorFile?: string;
    flamegraphFile?: string;
}
/**
 * Takes in a v8 or node generated profile log and turn into flamegraph with flamebearer.
 * Generates files based on scenarioName: flamegraph (.html), JS data (.data.js), and error output (.err)
 *
 * @param {string} logFile Log file path and base name input.
 * @param {string} outFile File path and base name for file output. Extensions will be added for each type of file output.
 * @returns {Promise<OutputFiles>} Promise resolving to generated files.
 */
export declare function generateFlamegraph(logFile: string, outFile: string): Promise<GeneratedFiles>;
/**
 * Takes in a v8 or node generated profile log and generate a summary text file (.summary.log)
 *
 * @param {string} logfile Log file input.
 * @param {string} outfile File path and base name for file output. Extensions will be added for each type of file output.
 * @returns {string} Summary file path.
 */
export declare function generateSummary(logfile: string, outfile: string): Promise<string>;
//# sourceMappingURL=generate.d.ts.map