import { GeneratedFiles } from './flamegraph/generate';
export declare type Scenario = {
    name: string;
    scenario: string;
    reference?: string;
};
export declare type ScenarioConfig = {
    outDir?: string;
    tempDir?: string;
};
export interface PerfTest {
    logFile: string;
    outFile: string;
    reference: {
        logFile?: string;
        outFile: string;
    };
}
export interface PerfTests {
    [key: string]: PerfTest;
}
export interface OutputFiles extends GeneratedFiles {
    regressionFile?: string;
}
export interface Analysis {
    numTicks?: number;
    files?: OutputFiles;
    isRegression?: boolean;
    reference?: {
        files?: OutputFiles;
        numTicks?: number;
    };
}
export interface Analyses {
    [key: string]: Analysis;
}
export declare function cook(scenarios: Scenario[], config: ScenarioConfig): Promise<Analyses>;
declare const _default: {
    cook: typeof cook;
};
export default _default;
//# sourceMappingURL=flamegrill.d.ts.map